Planeur téléguidé

Forum destiné aux questions et discussions en français
Forum rules
Règles du forum et informations utiles.

VEUILLEZ LIRE CECI AVANT DE DEMANDER DE L'AIDE
joel
Posts: 167
Joined: Thu Jan 26, 2017 8:17 pm
Location: Thonon les Bains

Re: Planeur téléguidé

Postby joel » Thu Apr 26, 2018 8:38 am

Comme je ne saisis pas trop bien le problème, il se peut que ces liens puissent t'aider. Chris_G fait de très belles choses.
Il s''exprime également très bien en français.
https://forum.freecadweb.org/viewtopic.php?f=24&t=23228
https://forum.freecadweb.org/viewtopic. ... 5&start=10
https://forum.freecadweb.org/viewtopic.php?f=24&t=16100
User avatar
Stéphane Combet
Posts: 27
Joined: Mon Feb 05, 2018 5:46 pm
Contact:

Re: Planeur téléguidé

Postby Stéphane Combet » Thu Apr 26, 2018 8:57 am

Très bon liens dans mon cas ! Je vais essayer de comprendre pourquoi ça ne fonctionne pas chez moi... Merci.
User avatar
Stéphane Combet
Posts: 27
Joined: Mon Feb 05, 2018 5:46 pm
Contact:

Re: Planeur téléguidé

Postby Stéphane Combet » Fri Apr 27, 2018 12:27 pm

Hello,

Chris_G a créé son propre atelier FreeCAD, "Curves", pour faire tout ça.
https://forum.freecadweb.org/viewtopic.php?f=8&t=22675

Joel tu sembles arriver à tes fins autrement ?...
Pourrais-tu me dire comment tu as dessiné par exemple la courbe de l'empennage et ensuite quelle ligne tu as utilisé comme chemin de balayage ?...

Je suis en train de télécharger le WB de Chris_G, mais comme je n'ai pas encore une vision d'ensemble de FreeCAD je ne sais pas si j'en ai réellement besoin, si je suis dans les bonnes pratiques, etc.
Surtout que mon but à la fin est de donner tout ça en .step au gars qui me propose d'usiner mes moules, et qui travaille avec Solidworks.

Merci !
joel
Posts: 167
Joined: Thu Jan 26, 2017 8:17 pm
Location: Thonon les Bains

Re: Planeur téléguidé

Postby joel » Sat Apr 28, 2018 12:06 am

Stéphane Combet wrote:
Fri Apr 27, 2018 12:27 pm
Hello,
Joel tu sembles arriver à tes fins autrement ?...
Pourrais-tu me dire comment tu as dessiné par exemple la courbe de l'empennage et ensuite quelle ligne tu as utilisé comme chemin de balayage ?...

Surtout que mon but à la fin est de donner tout ça en .step au gars qui me propose d'usiner mes moules, et qui travaille avec Solidworks.
Merci !
Il y a le lissage(avec chemin) et le balayage(sans chemin). Je n'utilise pas le lissage car dans le cas d'une aile si le BA suit une courbe le
bord de fuite suivra la même courbe. Je dessine le pourtour de l'aile puis je mesure la distance entre BA et BF pour chaque nervure (ainsi
que sa distance par rapport à la nervure d'emplanture) je reporte cette dimension dans la macro airfoil. Après il faut positionner les nervures
au bonne endroit. Le balayage normalement devrait faire le reste du boulot. Le nombre de nervures est pifométrique en suivant tout de même
une logique.
L'autre méthode apparemment nécessiterait moins de nervures et serait plus rigoureuse par rapport à la géométrie de l'aile. C'est sweep 2 rails
de Chris_G: curves workbench. Il faut hélas couper la nervure en deux: intrados extrados c'est pourquoi dans le fichier que je mets j'ai un peu
baclé la recopie des nervures. Il ya des défauts au bord d'attaque, peut-être parce qu'il n'y a que deux nervures ou pas le même nombre de segments dans les deux nervures. Il faut ensuite convertir en solide et fusionner intrados et extrados.
Attachments
empennage.fcstd
(100.94 KiB) Downloaded 11 times
Empennage.png
Empennage.png (247.02 KiB) Viewed 281 times
joel
Posts: 167
Joined: Thu Jan 26, 2017 8:17 pm
Location: Thonon les Bains

Re: Planeur téléguidé

Postby joel » Sat Apr 28, 2018 12:31 am

Comme nous avons sur le forum deux fortes têtes, je préfère les précéder avant qu'ils ne débarquent je rajoute qu'il y a aussi labourage et paturage :D
User avatar
Stéphane Combet
Posts: 27
Joined: Mon Feb 05, 2018 5:46 pm
Contact:

Re: Planeur téléguidé

Postby Stéphane Combet » Sat Apr 28, 2018 5:06 pm

Hello, merci pour ta patience...

Je suis embêté de ne pas comprendre, car dans ma v16 sous windows, dans l'atelier Part, si je regarde les infos bulles des 2 premeirs boutons de l'image jointe :
Capture.JPG
Capture.JPG (10.08 KiB) Viewed 247 times
L'info bulle sur celle de gauche me dit "Lissage d'une série de profils", et la boîte de dialogue ne demande aucun chemin. Quand je fait ça de nervure à nervure, 2 par 2, puis fusion (dernier bouton de l'image jointe), j'ai des lignes droites entre chaque nervure, pas de courbe, comme on le voit sur mon autre image.

Par contre l'info bulle du 2e bouton me dit "Balayage d'une ou plusieurs sections le long d'un chemin" et là il a besoin d'un chemin...

Pour moi travailler avec des demi-profils ça m'arrange, car l'objectif ce n'est pas l'empennage, mais un moule intrados, et un moule extrados...

Bien sûr, il y a aussi labourage et paturage, 2 outils que je garde pour la fin. :roll:
Attachments
Capture2.JPG
Capture2.JPG (60.41 KiB) Viewed 247 times
joel
Posts: 167
Joined: Thu Jan 26, 2017 8:17 pm
Location: Thonon les Bains

Re: Planeur téléguidé

Postby joel » Sat Apr 28, 2018 10:09 pm

J'ai certainement fais une confusion entre balayage et lissage. Car à une époque certaines macros ne fonctionnaient pas avec freecad en
français. Donc pour moi c'est loft ou sweep. Il faut utiliser la méthode sans chemin je vérifie de nouveau sur 0.16 et c'est bien lissage qu'il faut
utiliser dans la méthode que je dirais triviale c'est à dire avec des nervures tout le long de l'envergure. Sauf si ton projet est top secret le mieux
ce serait de mettre le fichier en pièce jointe car je ne comprends pas pourquoi tu galères autant.
De mon coté j'ai continué avec Curves Workbench et j'ai "réussi" à couper en deux une nervure sans recopier, en utilisant librecad tout celà pour
pouvoir respecter impérativement le profile de la nervure. Ce qui peut être important si tu utilises des profilies dit laminaires.
Je ne comprends pas non plus pourquoi faire un moule: c'e n'est pas donné, puis après il faut mouler avec la patience puis les aléas.
Je remets un lien que j'ai déjà mis dans un autre post, je précise que je n'ai aucun intérêt chez eux mais j'ai changé ma vision du modèle réduit.
Ce mig 15 doit voler environ à 150 KmH et dans leur doc ils précisent qu'il ne faut pas dépasser les 200 KmH. Si l'image de l'empennage est à
l'échelle la dimension serait de 130 mm en impression 3D 10 euros environ.
https://3dlabprint.com/shop/mig-15-fagot/
User avatar
Stéphane Combet
Posts: 27
Joined: Mon Feb 05, 2018 5:46 pm
Contact:

Re: Planeur téléguidé

Postby Stéphane Combet » Sun Apr 29, 2018 6:57 am

Bonjour,

Voici mon fichier.

Merci pour ta persévérance avec moi !
Attachments
Empennage.FCStd
(70.82 KiB) Downloaded 15 times
User avatar
GlouGlou
Posts: 1120
Joined: Sun Apr 05, 2015 9:02 am
Location: La Rochelle, France

Re: Planeur téléguidé

Postby GlouGlou » Sun Apr 29, 2018 8:50 am

Voila ton aile. (V017)
J'ai replacés les sketchs, fait une symétrie, fermés les bords de fuite avec un segment puis fait un loft.
J'ai supposé évidement que l'aile est symétrique. Ce qui m'étonne.
D'autre part, elle est entièrement sur le plan XY??
Attachments
FoilGG2.FCStd
(509.24 KiB) Downloaded 11 times
Capture.JPG
Capture.JPG (144.48 KiB) Viewed 211 times
User avatar
Chris_G
Posts: 953
Joined: Tue Dec 31, 2013 4:10 pm
Location: France
Contact:

Re: Planeur téléguidé

Postby Chris_G » Sun Apr 29, 2018 10:31 am

Stéphane Combet wrote:
Sun Apr 29, 2018 6:57 am
Bonjour,
Voici mon fichier.
Voilà un bout de script à appliquer sur ton fichier "Empennage" pour obtenir une surface BSpline.
Une chose à noter : les profils avaient un problème dans l'ordre des vertexes (v2, v1, v3, v4, v5, etc ...)

Code: Select all

import FreeCAD
import Part

doc = App.getDocument("Empennage")

curves = list()

for o in doc.Objects:
    if 'Shape' in o.Label:
        w = o.Shape.Wires[0].copy()
        # --- corrige les profiles ( ordre des vertexes )
        w.fixWire()
        o.Shape = w
        # ---
        pts = [vertex.Point for vertex in w.Vertexes]
        bs = Part.BSplineCurve()
        bs.approximate(Points=pts, DegMax=5, Tolerance=0.1, Continuity='C3')
        curves.append(bs)

wires = [Part.Wire(curve.toShape()) for curve in curves]
loft = Part.makeLoft(wires)
Part.show(loft)
        
doc.recompute()